DocsHome AssistantOpen the appDE

spooly.eu/docs/api/locations

Locations

The storage locations of your account with their path. You put a spool into one with POST /spools/{spool_id}/move.

Open as text

List locations

GET/locations

name contains the full path. You need the id for location_id and for Move. places is the number of places in the location, 0 means it has none.

Parameters

No parameters.

curl "https://spooly.eu/api/v1/locations" \
  -H "Authorization: Bearer $SPOOLY_KEY"
Response 200
{
  "items": [
    {
      "id": "loc_3c9b7e1a5d60",
      "name": "Schrank 01 · Fach vorne",
      "is_default": false,
      "places": 12
    }
  ]
}